## NAME

d.frame - Manages display frames on the user's graphics monitor.

## KEYWORDS

display

## SYNOPSIS

d.frame
d.frame help
d.frame [-cepslD] [frame=string] [at=bottom,top,left,right]

### Flags:

-c
  Create a new frame
-e
  Remove all frames and erase the screen
-p
  Print name of current frame
-s
  Select a frame
-l
  List map names displayed in GRASS monitor
-D
  Debugging output

### Parameters:

frame=string
  Frame to be created/selected
at=bottom,top,left,right
  Where to place the frame (implies -c), values in percent

## DESCRIPTION

This program manages display frames on the user's graphics monitor. GRASS display programs at run-time connect with graphics rendering programs. While the display programs are identical on every hardware platform, the graphics rendering programs are (essentially the only GRASS programs) designed for individual hardware devices. These rendering programs are managed with the GRASS program d.mon. Graphics are displayed in rectangular frames on whatever graphics monitor the user is currently directing GRASS display output to. These frames are created and managed with this program, Note that GRASS frame contents are not retained when one frame covers another. You cannot shuffle frames from top to bottom and then back again. They simply define rectangular areas on the screen where subsequent drawing will occur.

## NOTES

The coordinates for the at= option are stated in the form: bottom,top,left,right. The lower-left corner of the graphics monitor always is at location 0,0 while the monitor's upper-right corner is always at 100,100 (the values are in percent).

If the user has created multiple display frames that overlap one another, whatever the user displays in the active frame will overwrite those portions of the underlying frame where these frames overlap.

A frame by the name of full_screen is always present and may be selected at any time. This may be useful if you would like to de-select all user defined frames as you might do just before taking a screenshot.

## SEE ALSO

d.erase
d.mon

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2004/03/25 03:51:51 $

Main index - display index - Full index